Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class MethodKey

An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

author:
  James Strachan

version:
  $Revision: 7753 $

Field Summary
`int` | `hash`
`boolean` | `isCallToSuper`
`String` | `name`
`Class` | `sender`

Constructor Summary
`MethodKey(Class sender, String name, boolean isCallToSuper)`

Method Summary
`MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
`int` | `createHashCode()`
`boolean` | `equals(Object that)`
`boolean` | `equals(MethodKey that)`
`String` | `getName()`
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`
`List` | `getParamterTypes()`
`int` | `hashCode()`
`String` | `toString()`

Constructor Detail

### MethodKey

    public MethodKey(Class sender, String name, boolean isCallToSuper)

Method Detail

### createCopy

    public MethodKey createCopy()

  Creates an immutable copy that we can cache.

### createHashCode

    int createHashCode()

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(MethodKey that)

### getName

    public String getName()

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)

### getParamterTypes

    public List getParamterTypes()

### hashCode

    public int hashCode()

### toString

    public String toString()